//******************************************************************
//* PIC88 LCD DRIVER PROJECT
//* SERVO MAGAZINE
//* WRITTEN BY:  FRED EADY
//* 05/26/09
//* REVISIONS:
//* LOW BALL - BLINK LED ONLY
//******************************************************************

#include	<pic.h>


// Settings for PIC16F88
__CONFIG (LVPDIS & BORDIS & MCLREN & WDTDIS & INTIO
 & IESODIS & UNPROTECT & FCMDIS);
 
//******************************************************************
//*	FUNCTION PROTOTYPES
//******************************************************************
void init(void);
void interrupt TIMER_AUSART(void);
//******************************************************************
//*	GLOBALS
//******************************************************************
unsigned int tmsecs1,imsecs1;
char tsecs1;
//******************************************************************
//*	INTERRUPT DEFINITIONS
//******************************************************************
#define		enable_TMR1int	 	TMR1IE = 1
#define		enable_GLOBALint  	GIE = 1;				\
							  	PEIE = 1;
#define		TIMER1ON			TMR1ON = 1
#define		TIMER1OFF			TMR1ON = 0

//******************************************************************
//*	  I/O DEFINITIONS
//******************************************************************
#define	act_led		RA4
//******************************************************************
//*	INTERRUPT HANDLER ROUTINE
//******************************************************************
void interrupt TIMER_AUSART(void)
{

	if((TMR1IF && TMR1IE))
	{
		TMR1IF = 0;
		TMR1H = 0xF8;	
		TMR1L = 0x4A;
		//act_led ^= 1;	//comment out for 1 second blinks
		++tmsecs1;
		if(++imsecs1 == 1000)
		{
			imsecs1 = 0;
			++tsecs1;
			act_led ^= 1; //comment out for 1 mS blinks
		}
	}
} 

void main(void)
{
	char x;
	
	OSCCON = 0b01111110;	//8MHz internal clock
   	TRISA = 0b11101111;		
//******************************************************************
//*	CONFIGURE A2D AND COMPARATORS
//******************************************************************
	ANSEL = 0b00000000;		//PORTA all digital
	CMCON = 0x07;			//comparators off
//******************************************************************
//*	CONFIGURE AND START TIMER1
//* SET TO OVERFLOW EVERY 1mS
//******************************************************************
	TIMER1OFF;
	TMR1H = 0xF8;
	TMR1L = 0x4A;
	TIMER1ON;
//******************************************************************
//*	CONFIGURE INTERRUPTS
//******************************************************************
	enable_TMR1int;
    enable_GLOBALint;	
//******************************************************************
//*	SPIN HERE FOREVER
//******************************************************************
	do{
		++x;
	}while(1);	

	
}
